## org.eclipse.emf.compare.diff.metamodel.impl
Class DiffFactoryImpl

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.MinimalEObjectImpl
                  org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
                      org.eclipse.emf.ecore.impl.EModelElementImpl
                          org.eclipse.emf.ecore.impl.EFactoryImpl
                              org.eclipse.emf.compare.diff.metamodel.impl.DiffFactoryImpl

All Implemented Interfaces:
  org.eclipse.emf.common.notify.Notifier, DiffFactory, org.eclipse.emf.ecore.EFactory, org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder, org.eclipse.emf.ecore.InternalEObject

    public class DiffFactoryImpl

extends org.eclipse.emf.ecore.impl.EFactoryImpl
implements DiffFactory

An implementation of the model Factory.

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
`org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container.Dynamic`

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl
`org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container`

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolder, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderBaseImpl, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderImpl`

Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends java.lang.Object & org.eclipse.emf.common.notify.Adapter>, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EObservableAdapterList`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject
`org.eclipse.emf.ecore.InternalEObject.EStore`

Field Summary

Fields inherited from class org.eclipse.emf.ecore.impl.EFactoryImpl
`EDATE_FORMATS, ePackage`

Fields inherited from class org.eclipse.emf.ecore.impl.EModelElementImpl
`eAnnotations, eFlags, EFROZEN, ELAST_EMODEL_ELEMENT_FLAG`

Fields inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
`eContainer`

Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

Fields inherited from interface org.eclipse.emf.compare.diff.metamodel.DiffFactory
`eINSTANCE`

Fields inherited from interface org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder
`NIL`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Constructor Summary
`DiffFactoryImpl()` Creates an instance of the factory

Method Summary
`java.lang.String` `convertDifferenceKindToString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.Object instanceValue)`
`java.lang.String` `convertToString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.Object instanceValue)`
`org.eclipse.emf.ecore.EObject` `create(org.eclipse.emf.ecore.EClass eClass)`
`AttributeChange` `createAttributeChange()`
`AttributeChangeLeftTarget` `createAttributeChangeLeftTarget()`
`AttributeChangeRightTarget` `createAttributeChangeRightTarget()`
`ComparisonResourceSetSnapshot` `createComparisonResourceSetSnapshot()`
`ComparisonResourceSnapshot` `createComparisonResourceSnapshot()`
`ConflictingDiffElement` `createConflictingDiffElement()`
`DifferenceKind` `createDifferenceKindFromString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.String initialValue)`
`DiffGroup` `createDiffGroup()`
`DiffModel` `createDiffModel()`
`DiffResourceSet` `createDiffResourceSet()`
`java.lang.Object` `createFromString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.String initialValue)`
`ModelElementChange` `createModelElementChange()`
`ModelElementChangeLeftTarget` `createModelElementChangeLeftTarget()`
`ModelElementChangeRightTarget` `createModelElementChangeRightTarget()`
`MoveModelElement` `createMoveModelElement()`
`ReferenceChange` `createReferenceChange()`
`ReferenceChangeLeftTarget` `createReferenceChangeLeftTarget()`
`ReferenceChangeRightTarget` `createReferenceChangeRightTarget()`
`ReferenceOrderChange` `createReferenceOrderChange()`
`ResourceDependencyChange` `createResourceDependencyChange()`
`ResourceDependencyChangeLeftTarget` `createResourceDependencyChangeLeftTarget()`
`ResourceDependencyChangeRightTarget` `createResourceDependencyChangeRightTarget()`
`ResourceDiff` `createResourceDiff()`
`UpdateAttribute` `createUpdateAttribute()`
`UpdateContainmentFeature` `createUpdateContainmentFeature()`
`UpdateModelElement` `createUpdateModelElement()`
`UpdateReference` `createUpdateReference()`
`DiffPackage` `getDiffPackage()`
`static DiffPackage` `getPackage()` Deprecated.
`static DiffFactory` `init()` Creates the default factory implementation

Methods inherited from class org.eclipse.emf.ecore.impl.EFactoryImpl
`basicCreate, basicSetEPackage, collapseWhiteSpace, convertToString, createFromString, eGet, eInverseAdd, eInverseRemove, eInvoke, eIsSet, eSet, eStaticClass, eUnset, getEPackage, replaceWhiteSpace, setEPackage`

Methods inherited from class org.eclipse.emf.ecore.impl.EModelElementImpl
`eObjectForURIFragmentSegment, eSetDirectResource, eURIFragmentSegment, freeze, freeze, getEAnnotation, getEAnnotations, isFrozen, setFrozen`

Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
`eBasicSetContainer, eInternalContainer`

Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl

`dynamicGet, dynamicSet, dynamicUnset, eAdapters, eBasicAdapterArray, eBasicAdapters, eBasicHasAdapters, eBasicProperties, eBasicSetAdapterArray, eBasicSetContainer, eBasicSetContainerFeatureID, eBasicSetSettings, eBasicSettings, eClass, eContainerFeatureID, eContents, eCrossReferences, eDeliver, eDirectResource, eDynamicClass, eHasSettings, eIsProxy, eProperties, eProxyURI, eSetClass, eSetDeliver, eSetProxyURI, eSettings`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainerAdapterArray, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDynamicBasicRemoveFromContainer, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicInvoke, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseRemove, eInvocationDelegate, eInvoke, eIsSet, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eSettingDelegate, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStaticOperationCount, eStore, eUnset, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues, toString`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.ecore.EFactory
`getEPackage, setEPackage`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Constructor Detail

### DiffFactoryImpl

    public DiffFactoryImpl()

  Creates an instance of the factory.

Method Detail

### getPackage

    @Deprecated
    public static DiffPackage getPackage()

  Deprecated.

### init

    public static DiffFactory init()

  Creates the default factory implementation.

### convertDifferenceKindToString

    public java.lang.String convertDifferenceKindToString(org.eclipse.emf.ecore.EDataType eDataType,
                                                          java.lang.Object instanceValue)

### convertToString

    public java.lang.String convertToString(org.eclipse.emf.ecore.EDataType eDataType,
                                            java.lang.Object instanceValue)

  Specified by:
    `convertToString` in interface `org.eclipse.emf.ecore.EFactory`
  Overrides:
    `convertToString` in class `org.eclipse.emf.ecore.impl.EFactoryImpl`

### create

    public org.eclipse.emf.ecore.EObject create(org.eclipse.emf.ecore.EClass eClass)

  Specified by:
    `create` in interface `org.eclipse.emf.ecore.EFactory`
  Overrides:
    `create` in class `org.eclipse.emf.ecore.impl.EFactoryImpl`

### createAttributeChange

    public AttributeChange createAttributeChange()

  Specified by:
    `createAttributeChange` in interface `DiffFactory`
  Returns:
    a new object of class 'Attribute Change'.

### createAttributeChangeLeftTarget

    public AttributeChangeLeftTarget createAttributeChangeLeftTarget()

  Specified by:
    `createAttributeChangeLeftTarget` in interface `DiffFactory`
  Returns:
    a new object of class 'Attribute Change Left Target'.

### createAttributeChangeRightTarget

    public AttributeChangeRightTarget createAttributeChangeRightTarget()

  Specified by:
    `createAttributeChangeRightTarget` in interface `DiffFactory`
  Returns:
    a new object of class 'Attribute Change Right Target'.

### createConflictingDiffElement

    public ConflictingDiffElement createConflictingDiffElement()

  Specified by:
    `createConflictingDiffElement` in interface `DiffFactory`
  Returns:
    a new object of class 'Conflicting Diff Element'.

### createDifferenceKindFromString

    public DifferenceKind createDifferenceKindFromString(org.eclipse.emf.ecore.EDataType eDataType,
                                                         java.lang.String initialValue)

### createDiffGroup

    public DiffGroup createDiffGroup()

  Specified by:
    `createDiffGroup` in interface `DiffFactory`
  Returns:
    a new object of class 'Group'.

### createComparisonResourceSnapshot

    public ComparisonResourceSnapshot createComparisonResourceSnapshot()

  Specified by:
    `createComparisonResourceSnapshot` in interface `DiffFactory`
  Returns:
    a new object of class 'Comparison Resource Snapshot'.

### createComparisonResourceSetSnapshot

    public ComparisonResourceSetSnapshot createComparisonResourceSetSnapshot()

  Specified by:
    `createComparisonResourceSetSnapshot` in interface `DiffFactory`
  Returns:
    a new object of class 'Comparison Resource Set Snapshot'.

### createDiffModel

    public DiffModel createDiffModel()

  Specified by:
    `createDiffModel` in interface `DiffFactory`
  Returns:
    a new object of class 'Model'.

### createDiffResourceSet

    public DiffResourceSet createDiffResourceSet()

  Specified by:
    `createDiffResourceSet` in interface `DiffFactory`
  Returns:
    a new object of class 'Resource Set'.

### createFromString

    public java.lang.Object createFromString(org.eclipse.emf.ecore.EDataType eDataType,
                                             java.lang.String initialValue)

  Specified by:
    `createFromString` in interface `org.eclipse.emf.ecore.EFactory`
  Overrides:
    `createFromString` in class `org.eclipse.emf.ecore.impl.EFactoryImpl`

### createModelElementChange

    public ModelElementChange createModelElementChange()

  Specified by:
    `createModelElementChange` in interface `DiffFactory`
  Returns:
    a new object of class 'Model Element Change'.

### createModelElementChangeLeftTarget

    public ModelElementChangeLeftTarget createModelElementChangeLeftTarget()

  Specified by:
    `createModelElementChangeLeftTarget` in interface `DiffFactory`
  Returns:
    a new object of class 'Model Element Change Left Target'.

### createModelElementChangeRightTarget

    public ModelElementChangeRightTarget createModelElementChangeRightTarget()

  Specified by:
    `createModelElementChangeRightTarget` in interface `DiffFactory`
  Returns:
    a new object of class 'Model Element Change Right Target'.

### createMoveModelElement

    public MoveModelElement createMoveModelElement()

  Specified by:
    `createMoveModelElement` in interface `DiffFactory`
  Returns:
    a new object of class 'Move Model Element'.

### createUpdateContainmentFeature

    public UpdateContainmentFeature createUpdateContainmentFeature()

  Specified by:
    `createUpdateContainmentFeature` in interface `DiffFactory`
  Returns:
    a new object of class 'Update Containment Feature'.

### createReferenceChange

    public ReferenceChange createReferenceChange()

  Specified by:
    `createReferenceChange` in interface `DiffFactory`
  Returns:
    a new object of class 'Reference Change'.

### createReferenceChangeLeftTarget

    public ReferenceChangeLeftTarget createReferenceChangeLeftTarget()

  Specified by:
    `createReferenceChangeLeftTarget` in interface `DiffFactory`
  Returns:
    a new object of class 'Reference Change Left Target'.

### createReferenceChangeRightTarget

    public ReferenceChangeRightTarget createReferenceChangeRightTarget()

  Specified by:
    `createReferenceChangeRightTarget` in interface `DiffFactory`
  Returns:
    a new object of class 'Reference Change Right Target'.

### createResourceDiff

    public ResourceDiff createResourceDiff()

  Specified by:
    `createResourceDiff` in interface `DiffFactory`
  Returns:
    a new object of class 'Resource Diff'.

### createResourceDependencyChange

    public ResourceDependencyChange createResourceDependencyChange()

  Specified by:
    `createResourceDependencyChange` in interface `DiffFactory`
  Returns:
    a new object of class 'Resource Dependency Change'.

### createResourceDependencyChangeLeftTarget

    public ResourceDependencyChangeLeftTarget createResourceDependencyChangeLeftTarget()

  Specified by:
    `createResourceDependencyChangeLeftTarget` in interface `DiffFactory`
  Returns:
    a new object of class 'Resource Dependency Change Left Target'.

### createResourceDependencyChangeRightTarget

    public ResourceDependencyChangeRightTarget createResourceDependencyChangeRightTarget()

  Specified by:
    `createResourceDependencyChangeRightTarget` in interface `DiffFactory`
  Returns:
    a new object of class 'Resource Dependency Change Right Target'.

### createUpdateAttribute

    public UpdateAttribute createUpdateAttribute()

  Specified by:
    `createUpdateAttribute` in interface `DiffFactory`
  Returns:
    a new object of class 'Update Attribute'.

### createUpdateModelElement

    public UpdateModelElement createUpdateModelElement()

  Specified by:
    `createUpdateModelElement` in interface `DiffFactory`
  Returns:
    a new object of class 'Update Model Element'.

### createUpdateReference

    public UpdateReference createUpdateReference()

  Specified by:
    `createUpdateReference` in interface `DiffFactory`
  Returns:
    a new object of class 'Update Reference'.

### createReferenceOrderChange

    public ReferenceOrderChange createReferenceOrderChange()

  Specified by:
    `createReferenceOrderChange` in interface `DiffFactory`
  Returns:
    a new object of class 'Reference Order Change'.

### getDiffPackage

    public DiffPackage getDiffPackage()

  Specified by:
    `getDiffPackage` in interface `DiffFactory`
  Returns:
    the package supported by this factory.

Copyright 2006 IBM Corporation and others. All Rights Reserved.